Modernize widget configuration settings
Closed, ResolvedPublic

Description

Given that we want to achieve visual uniformity and that using newer technologies solves bugs related to labels and fractional scaling, let's modernize the configuration settings of all of our widgets.

GUIDELINES
From a technological POV:

  • use Kirigami.FormLayout for the main layout
  • port QtQuickControls 1 to QtQuickControls 2
  • if applicable, clean up the code

From a visual POV:

  • horizontally center the content; use anchors.left: parent.left and anchors.right: parent.right for the main layout
  • add labels to sub-categories by using Kirigami.FormData.label: i18n("Example:")
  • add separation between different sub-categories of options by using Kirigami.FormData.isSection: true
  • make sure the "General" categories use the widget's icon, or else preferences-desktop-plasma for widgets that are a part of Plasma itself

From a usability POV:

  • reconsider the wording of options and propose something better if possible
  • rearrange settings into different or new categories if needed, especially when there are many options in one category

PROGRESS

  • appmenu
  • batterymonitor
  • binary-clock
  • calendar
  • colorpicker
  • comic
  • containments/desktop
  • desktoppackage
  • device-notifier
  • dict
  • digital-clock
  • fifteenPuzzle
  • fuzzy-clock
  • kicker
  • kickoff
  • kimpanel
  • lock_logout
  • mediaframe
  • notifications (removed in Plasma 5.16; everything lives in the KCM now)
  • notes
  • pager
  • plasmacalendarintegration/HolidaysConfig.qml
  • plasmacalendarplugins/astronomical/config/qml/AstronomicalEventsConfig.qml
  • plasma-nm
  • plasma-pa
  • quicklaunch
  • quickshare
  • systemloadviewer
  • systemmonitor
  • systemtray
  • taskmanager
  • timer
  • userswitcher
  • wallpaper, color
  • wallpaper, image
  • wallpaper, picture of the day
  • weather

VOLUNTEERS
@ngraham @filipf @GB_2

Details

Differential Revisions
D21221: [Notes] Port to QQC2 and use GridView KCM components for the color chooser
D21194: [Holidays plugin] Port partially to QQC2 and modernize UI
D21193: [Astronomical Calendar Plugin] Port to QQC2+Kirigami Formlayout
D21191: [Media Frame] Port "Paths" category to QQC2+Kirigami and modernize UI
D21189: [System tray] Modernize "Entries" category
D21105: Port widget settings window to QQC2+Kirigami FormLayout and modernize UI
D21104: Port widget settings window to QQC2+Kirigami FormLayout
D21088: [quicklaunch] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D21074: [System Monitor] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D21056: [System Load Viewer] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D20969: [potd] Modernize configuration settings
D20906: [kimpanel] Port settings page to QQC2+Kirigami FormLayout and modernize UI
D20905: [Timer] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D20904: [desktoppackage] Port to QQC2 and fix "Get New Widgets..." button text
D20899: [User Switcher] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D20896: [Weather] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D20878: [containments/desktop] Port desktop settings pages to QQC2+Kirigami FormLayout and modernize UI
D20829: [Calendar] Port settings window to QQC2+Kirigami FormLayout and modernize UI
D20797: [dict] Modernize configuration window
D20796: [Pager] Port settings window to QQC2+Kirigami FormLayout and improve UI
D20048: [color-wallpaper] Align with the master FormLayout
D20747: [FifteenPuzzle] Port configuration window to QQC2 and Kirigami.FormLayout and improve UI
D20743: [Kicker] Modernize settings window
D20612: [Kickoff] Modernize settings window layout
D19802: [comic] Modernize configuration windows
D19789: [color-picker] Port configuration window to QQC2 and Kirigami.FormLayout
D19746: [lock-logout] Port configuration window to QQC2 and Kirigami.FormLayout
D19747: [fuzzy-clock] Port configuration window to QQC2 and Kirigami.FormLayout
D19670: [appmenu] Port configuration window to QQC2 and Kirigami.FormLayout
D19664: [quickshare] Port configuration window to QQC2 and Kirigami.FormLayout
D19669: [binary-clock] Port configuration window to QQC2 and Kirigami.FormLayout
D19280: [TaskManager] Modernize and reorganize configuration settings
D19289: [DeviceNotifier] Port settings to QQC2 and Kirigami
D19295: [batterymonitor] Port Battery and Brightness settings to QQC2 and Kirigami
D19548: [Media frame] Modernize and improve settings window

Related Objects

StatusAssignedTask
OpenNone
Resolvedngraham
There are a very large number of changes, so older changes are hidden. Show Older Changes
GB_2 updated the task description. (Show Details)Apr 29 2019, 11:23 AM
ngraham updated the task description. (Show Details)Apr 29 2019, 12:57 PM
ngraham updated the task description. (Show Details)Apr 29 2019, 1:43 PM
ngraham updated the task description. (Show Details)Apr 29 2019, 2:08 PM
ngraham updated the task description. (Show Details)Apr 29 2019, 2:30 PM
ngraham updated the task description. (Show Details)Apr 29 2019, 3:34 PM
ngraham updated the task description. (Show Details)Apr 29 2019, 5:02 PM
GB_2 updated the task description. (Show Details)Apr 29 2019, 5:17 PM
GB_2 added a subscriber: GB_2.
ngraham updated the task description. (Show Details)Apr 29 2019, 5:44 PM
GB_2 updated the task description. (Show Details)Apr 29 2019, 6:16 PM
GB_2 updated the task description. (Show Details)
ngraham updated the task description. (Show Details)Apr 29 2019, 6:21 PM
GB_2 updated the task description. (Show Details)Apr 29 2019, 8:09 PM
ngraham updated the task description. (Show Details)Apr 30 2019, 4:05 AM
GB_2 updated the task description. (Show Details)Apr 30 2019, 8:30 PM
GB_2 updated the task description. (Show Details)Apr 30 2019, 9:11 PM
ngraham updated the task description. (Show Details)
ngraham updated the task description. (Show Details)
ngraham updated the task description. (Show Details)May 3 2019, 7:08 PM
ngraham updated the task description. (Show Details)May 6 2019, 9:18 PM
ngraham updated the task description. (Show Details)May 7 2019, 8:50 PM
filipf updated the task description. (Show Details)May 7 2019, 8:57 PM
ngraham updated the task description. (Show Details)May 7 2019, 9:25 PM
ngraham updated the task description. (Show Details)May 8 2019, 2:55 AM
ngraham updated the task description. (Show Details)May 8 2019, 8:30 PM
ngraham updated the task description. (Show Details)May 8 2019, 8:40 PM
ngraham updated the task description. (Show Details)May 8 2019, 8:58 PM
ngraham updated the task description. (Show Details)May 8 2019, 9:07 PM
ngraham updated the task description. (Show Details)May 9 2019, 1:04 PM
This comment was removed by Codezela.
ngraham added a comment.EditedMay 9 2019, 3:48 PM

That's not related to this task. Also, we don't remove features for no reason, which is a sure way to find out just how many people were using the feature--often in the form of anger and profanity. :)

ngraham updated the task description. (Show Details)May 9 2019, 7:26 PM
ngraham updated the task description. (Show Details)May 9 2019, 7:42 PM
ngraham updated the task description. (Show Details)May 9 2019, 8:03 PM
ngraham updated the task description. (Show Details)May 10 2019, 4:02 PM
ngraham updated the task description. (Show Details)May 13 2019, 3:59 PM
ngraham updated the task description. (Show Details)May 13 2019, 5:01 PM
ngraham updated the task description. (Show Details)May 13 2019, 5:16 PM
ngraham updated the task description. (Show Details)May 13 2019, 5:19 PM
ngraham updated the task description. (Show Details)May 14 2019, 5:05 PM
ngraham updated the task description. (Show Details)May 15 2019, 2:35 AM
ngraham updated the task description. (Show Details)May 15 2019, 2:56 AM
ngraham updated the task description. (Show Details)May 15 2019, 12:49 PM
ngraham closed this task as Resolved.

This project has now been completed!